org.apache.hadoop.yarn.server.federation.store.records

## Class SubClusterHeartbeatResponse

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.SubClusterHeartbeatResponse

- Direct Known Subclasses:
    SubClusterHeartbeatResponsePBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class SubClusterHeartbeatResponse
      extends Object

  SubClusterHeartbeatResponse contains the response from the `FederationMembershipStateStore` to a periodic heartbeat to indicate liveliness from a `ResourceManager` participating in federation. Currently response is empty if the operation was successful, if not an exception reporting reason for a failure.

  NOTE: This can be extended to push down policies in future

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubClusterHeartbeatResponse()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SubClusterHeartbeatResponse` | `newInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubClusterHeartbeatResponse

          public SubClusterHeartbeatResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public static SubClusterHeartbeatResponse newInstance()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.